Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[FIXED] unable to emerge unity because gcr compile fails
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
klz
n00b
n00b


Joined: 07 Jun 2011
Posts: 27

PostPosted: Thu Jan 24, 2013 4:51 pm    Post subject: [FIXED] unable to emerge unity because gcr compile fails Reply with quote

I was having problems emerging app-crypt/gcr when i wanted to get unity-base/unity-meta. The introspection useflag is needed for unity, and with this gcr would not compile on my system. Eventually i noticed this: "Couldn't find include 'Gtk-3.0.gir'" in the compile logs of gcr...
It turned out i needed to recompile gtk+ with the introspection useflag included.

Hopefully this helps some ppl.

ps. unity-base/unity-meta is from the unity-gentoo overlay
pps. why didn't portage 'notice' this?
Back to top
View user's profile Send private message
hashnon
n00b
n00b


Joined: 23 Apr 2011
Posts: 2

PostPosted: Fri Sep 13, 2013 11:37 am    Post subject: Reply with quote

Thanks for this, I've stumbled on this unnoticeable "problem" when tried to emerge baobab, and You, Good Sir, saved me day of searches! :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum